Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/InstallationManagerTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/InstallationManagerTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/InstallationManagerTest.cs	(revision 9782)
@@ -25,6 +25,4 @@
 
 namespace HeuristicLab.PluginInfrastructure.Tests {
-
-
   /// <summary>
   ///This is a test class for InstallationManagerTest and is intended
@@ -33,56 +31,10 @@
   [TestClass()]
   public class InstallationManagerTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
-
     /// <summary>
     ///A test for GetRemotePluginList
     ///</summary>
     [TestMethod]
+    [TestCategory("General")]
+    [TestProperty("Time", "long")]
     public void GetRemotePluginListTest() {
       string pluginDir = Environment.CurrentDirectory;
@@ -91,6 +43,5 @@
         var pluginList = target.GetRemotePluginList();
         Assert.IsTrue(pluginList != null);
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         Assert.Fail("Connection to the update service failed. " + e.Message);
       }
@@ -101,4 +52,6 @@
     ///</summary>
     [TestMethod]
+    [TestCategory("General")]
+    [TestProperty("Time", "short")]
     public void GetRemoteProductListTest() {
       string pluginDir = Environment.CurrentDirectory;
@@ -107,6 +60,5 @@
         var productList = target.GetRemoteProductList();
         Assert.IsTrue(productList != null);
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         Assert.Fail("Connection to the update service failed. " + e.Message);
       }
Index: unk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeDiscoveryTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeDiscoveryTest.cs	(revision 9781)
+++ 	(revision )
@@ -1,99 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Collections;
-using System.Collections.Generic;
-using System.Linq;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
-using HeuristicLab.Problems.DataAnalysis;
-using HeuristicLab.Tests;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
-
-namespace HeuristicLab.PluginInfrastructure.Tests {
-  /// <summary>
-  /// Summary description for TypeDiscoveryTest
-  /// </summary>
-  [TestClass]
-  public class TypeDiscoveryTest {
-    public TypeDiscoveryTest() { }
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get { return testContextInstance; }
-      set { testContextInstance = value; }
-    }
-
-    public static void MyClassInitialize(TestContext testContext) {
-      PluginLoader.Assemblies.Any();
-    }
-
-    [TestMethod]
-    public void IsSubTypeOfTest() {
-      Assert.IsTrue(typeof(int).IsSubTypeOf(typeof(object)));
-      Assert.IsTrue(typeof(IntValue).IsSubTypeOf(typeof(IItem)));
-      Assert.IsTrue(typeof(List<int>).IsSubTypeOf(typeof(object)));
-
-      Assert.IsTrue(typeof(List<int>).IsSubTypeOf(typeof(IList)));
-      Assert.IsTrue(typeof(List<>).IsSubTypeOf(typeof(IList)));
-      Assert.IsFalse(typeof(NamedItemCollection<>).IsSubTypeOf(typeof(ICollection<IItem>)));
-      Assert.IsFalse(typeof(NamedItemCollection<>).IsSubTypeOf(typeof(ICollection<NamedItem>)));
-
-
-      Assert.IsTrue(typeof(List<IItem>).IsSubTypeOf(typeof(IList<IItem>)));
-      Assert.IsFalse(typeof(IList<IntValue>).IsSubTypeOf(typeof(IList<IItem>)));
-      Assert.IsTrue(typeof(List<IItem>).IsSubTypeOf(typeof(IList<IItem>)));
-      Assert.IsFalse(typeof(ItemList<>).IsSubTypeOf(typeof(IList<IItem>)));
-      Assert.IsFalse(typeof(ItemList<>).IsSubTypeOf(typeof(List<IItem>)));
-
-      Assert.IsFalse(typeof(List<int>).IsSubTypeOf(typeof(List<>)));
-      Assert.IsTrue(typeof(List<>).IsSubTypeOf(typeof(IList<>)));
-      Assert.IsTrue(typeof(ItemList<>).IsSubTypeOf(typeof(IList<>)));
-      Assert.IsTrue(typeof(NamedItemCollection<>).IsSubTypeOf(typeof(IItemCollection<>)));
-      Assert.IsFalse(typeof(List<IntValue>).IsSubTypeOf(typeof(IList<>)));
-    }
-
-    [TestMethod]
-    public void BuildTypeTest() {
-      Assert.AreEqual(typeof(List<>).BuildType(typeof(List<>)), typeof(List<>));
-      Assert.AreEqual(typeof(List<int>).BuildType(typeof(List<>)), typeof(List<int>));
-      Assert.AreEqual(typeof(List<>).BuildType(typeof(List<int>)), typeof(List<int>));
-
-      Assert.AreEqual(typeof(ICollection<>).BuildType(typeof(List<>)), typeof(ICollection<>));
-      Assert.AreEqual(typeof(ICollection<int>).BuildType(typeof(List<>)), typeof(ICollection<int>));
-      Assert.AreEqual(typeof(ICollection<>).BuildType(typeof(List<int>)), typeof(ICollection<int>));
-
-      Assert.AreEqual(typeof(ItemCollection<>).BuildType(typeof(ICollection<int>)), null);
-      Assert.AreEqual(typeof(ItemCollection<>).BuildType(typeof(Dictionary<IItem, IItem>)), null);
-      Assert.AreEqual(typeof(ItemCollection<>).BuildType(typeof(ICollection<IItem>)), typeof(ItemCollection<IItem>));
-
-      Assert.AreEqual(typeof(FixedValueParameter<>).BuildType(typeof(ItemCollection<DataAnalysisProblemData>)), null);
-      Assert.AreEqual(typeof(IFixedValueParameter<>).BuildType(typeof(ItemCollection<DoubleValue>)), typeof(IFixedValueParameter<DoubleValue>));
-      Assert.AreEqual(typeof(IFixedValueParameter<>).BuildType(typeof(ItemCollection<IItem>)), typeof(IFixedValueParameter<IItem>));
-    }
-  }
-}
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeExtensionsTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeExtensionsTest.cs	(revision 9782)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeExtensionsTest.cs	(revision 9782)
@@ -0,0 +1,84 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections;
+using System.Collections.Generic;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+using HeuristicLab.Problems.DataAnalysis;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.PluginInfrastructure.Tests {
+  /// <summary>
+  /// Summary description for TypeDiscoveryTest
+  /// </summary>
+  [TestClass]
+  public class TypeExtensionsTest {
+    [TestMethod]
+    [TestCategory("General")]
+    [TestProperty("Time", "short")]
+    public void IsSubTypeOfTest() {
+      Assert.IsTrue(typeof(int).IsSubTypeOf(typeof(object)));
+      Assert.IsTrue(typeof(IntValue).IsSubTypeOf(typeof(IItem)));
+      Assert.IsTrue(typeof(List<int>).IsSubTypeOf(typeof(object)));
+
+      Assert.IsTrue(typeof(List<int>).IsSubTypeOf(typeof(IList)));
+      Assert.IsTrue(typeof(List<>).IsSubTypeOf(typeof(IList)));
+      Assert.IsFalse(typeof(NamedItemCollection<>).IsSubTypeOf(typeof(ICollection<IItem>)));
+      Assert.IsFalse(typeof(NamedItemCollection<>).IsSubTypeOf(typeof(ICollection<NamedItem>)));
+
+
+      Assert.IsTrue(typeof(List<IItem>).IsSubTypeOf(typeof(IList<IItem>)));
+      Assert.IsFalse(typeof(IList<IntValue>).IsSubTypeOf(typeof(IList<IItem>)));
+      Assert.IsTrue(typeof(List<IItem>).IsSubTypeOf(typeof(IList<IItem>)));
+      Assert.IsFalse(typeof(ItemList<>).IsSubTypeOf(typeof(IList<IItem>)));
+      Assert.IsFalse(typeof(ItemList<>).IsSubTypeOf(typeof(List<IItem>)));
+
+      Assert.IsFalse(typeof(List<int>).IsSubTypeOf(typeof(List<>)));
+      Assert.IsTrue(typeof(List<>).IsSubTypeOf(typeof(IList<>)));
+      Assert.IsTrue(typeof(ItemList<>).IsSubTypeOf(typeof(IList<>)));
+      Assert.IsTrue(typeof(NamedItemCollection<>).IsSubTypeOf(typeof(IItemCollection<>)));
+      Assert.IsFalse(typeof(List<IntValue>).IsSubTypeOf(typeof(IList<>)));
+    }
+
+    [TestMethod]
+    [TestCategory("General")]
+    [TestProperty("Time", "short")]
+    public void BuildTypeTest() {
+      Assert.AreEqual(typeof(List<>).BuildType(typeof(List<>)), typeof(List<>));
+      Assert.AreEqual(typeof(List<int>).BuildType(typeof(List<>)), typeof(List<int>));
+      Assert.AreEqual(typeof(List<>).BuildType(typeof(List<int>)), typeof(List<int>));
+
+      Assert.AreEqual(typeof(ICollection<>).BuildType(typeof(List<>)), typeof(ICollection<>));
+      Assert.AreEqual(typeof(ICollection<int>).BuildType(typeof(List<>)), typeof(ICollection<int>));
+      Assert.AreEqual(typeof(ICollection<>).BuildType(typeof(List<int>)), typeof(ICollection<int>));
+
+      Assert.AreEqual(typeof(ItemCollection<>).BuildType(typeof(ICollection<int>)), null);
+      Assert.AreEqual(typeof(ItemCollection<>).BuildType(typeof(Dictionary<IItem, IItem>)), null);
+      Assert.AreEqual(typeof(ItemCollection<>).BuildType(typeof(ICollection<IItem>)), typeof(ItemCollection<IItem>));
+
+      Assert.AreEqual(typeof(FixedValueParameter<>).BuildType(typeof(ItemCollection<DataAnalysisProblemData>)), null);
+      Assert.AreEqual(typeof(IFixedValueParameter<>).BuildType(typeof(ItemCollection<DoubleValue>)), typeof(IFixedValueParameter<DoubleValue>));
+      Assert.AreEqual(typeof(IFixedValueParameter<>).BuildType(typeof(ItemCollection<IItem>)), typeof(IFixedValueParameter<IItem>));
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/CordeauGQAPInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/CordeauGQAPInstanceProviderTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/CordeauGQAPInstanceProviderTest.cs	(revision 9782)
@@ -30,4 +30,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetCordeauGQAPInstanceTest() {
       var target = new CordeauGQAPInstanceProvider();
@@ -37,6 +39,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/ElloumiCTAPInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/ElloumiCTAPInstanceProviderTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/ElloumiCTAPInstanceProviderTest.cs	(revision 9782)
@@ -30,4 +30,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetElloumiCTAPInstanceTest() {
       var target = new ElloumiCTAPInstanceProvider();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/QAPLIBInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/QAPLIBInstanceProviderTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/QAPLIBInstanceProviderTest.cs	(revision 9782)
@@ -30,4 +30,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "medium")]
     public void GetQAPLIBInstanceTest() {
       var target = new QAPLIBInstanceProvider();
@@ -37,6 +39,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -48,4 +49,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetMicroarrayQAPInstanceTest() {
       var target = new MicroarrayQAPInstanceProvider();
@@ -65,4 +68,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetDreznerQAPInstanceTest() {
       var target = new DreznerQAPInstanceProvider();
@@ -82,4 +87,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "long")]
     public void GetTaillardQAPInstanceTest() {
       var target = new TaillardQAPInstanceProvider();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/TSPLIBInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/TSPLIBInstanceProviderTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances-3.3/TSPLIBInstanceProviderTest.cs	(revision 9782)
@@ -20,9 +20,9 @@
 #endregion
 
-
 using System;
 using System.Text;
 using HeuristicLab.Problems.Instances.TSPLIB;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
+
 namespace HeuristicLab.Problems.Instances.Tests {
   [TestClass()]
@@ -30,4 +30,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "medium")]
     public void GetTSPLIBTSPInstanceTest() {
       var target = new TSPLIBTSPInstanceProvider();
@@ -37,6 +39,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -48,4 +49,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetTSPLIBATSPInstanceTest() {
       var target = new TSPLIBATSPInstanceProvider();
@@ -55,6 +58,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -66,4 +68,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetTSPLIBCVRPInstanceTest() {
       var target = new TSPLIBCVRPInstanceProvider();
@@ -73,6 +77,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/ClassificationInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/ClassificationInstanceProviderTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/ClassificationInstanceProviderTest.cs	(revision 9782)
@@ -22,5 +22,4 @@
 using System;
 using System.Text;
-using HeuristicLab.Problems.Instances.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
@@ -30,4 +29,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void UCIInstanceTest() {
       var target = new UCIInstanceProvider();
@@ -37,6 +38,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/RegressionInstanceProviderTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/RegressionInstanceProviderTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/RegressionInstanceProviderTest.cs	(revision 9782)
@@ -22,5 +22,4 @@
 using System;
 using System.Text;
-using HeuristicLab.Problems.Instances.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
@@ -30,4 +29,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "medium")]
     public void GetKeijzerInstanceTest() {
       var target = new KeijzerInstanceProvider();
@@ -37,6 +38,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -48,4 +48,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetKornInstanceTest() {
       var target = new KornsInstanceProvider();
@@ -55,6 +57,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -66,4 +67,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetNguyenInstanceTest() {
       var target = new NguyenInstanceProvider();
@@ -73,6 +76,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -84,4 +86,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetRealWorldInstanceTest() {
       var target = new RegressionRealWorldInstanceProvider();
@@ -91,6 +95,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -102,4 +105,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetVariousInstanceTest() {
       var target = new VariousInstanceProvider();
@@ -109,6 +114,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -120,4 +124,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetVladislavlevaInstanceTest() {
       var target = new VladislavlevaInstanceProvider();
@@ -127,6 +133,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/TableFileParserTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/TableFileParserTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/TableFileParserTest.cs	(revision 9782)
@@ -22,13 +22,12 @@
 using System;
 using System.IO;
-using HeuristicLab.Problems.Instances.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis.Tests {
-
   [TestClass()]
   public class TableFileParserTest {
-
-    [TestMethod]
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseCSV() {
       string tempFileName = Path.GetTempFileName();
@@ -46,10 +45,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual(parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseCSVWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -68,11 +69,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual(parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanCSV() {
       string tempFileName = Path.GetTempFileName();
@@ -90,11 +92,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual(parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanCSVWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -113,11 +116,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual(parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanCSVWithoutCommas() {
       string tempFileName = Path.GetTempFileName();
@@ -135,10 +139,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanCSVWithoutCommasWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -157,11 +163,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishCSVWithoutCommas() {
       string tempFileName = Path.GetTempFileName();
@@ -179,11 +186,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishCSVWithoutCommasWithoutSpace() {
       string tempFileName = Path.GetTempFileName();
@@ -201,11 +209,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishCSVWithoutCommasWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -224,11 +233,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishCSVWithoutCommasWithoutSpacesWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -247,12 +257,13 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanTabSeparated() {
       string tempFileName = Path.GetTempFileName();
@@ -270,11 +281,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanTabSeparatedWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -293,11 +305,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishTabSeparated() {
       string tempFileName = Path.GetTempFileName();
@@ -315,10 +328,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishTabSeparatedWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -337,11 +352,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseTabSeparatedWithoutCommas() {
       string tempFileName = Path.GetTempFileName();
@@ -359,10 +375,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseTabSeparatedWithoutCommasWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -381,11 +399,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseWithEmtpyLines() {
       string tempFileName = Path.GetTempFileName();
@@ -403,11 +422,12 @@
         Assert.AreEqual(4, parser.Rows);
         Assert.AreEqual(4, parser.Columns);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanSpaceSeparated() {
       string tempFileName = Path.GetTempFileName();
@@ -425,10 +445,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanSpaceSeparatedWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -447,11 +469,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishSpaceSeparated() {
       string tempFileName = Path.GetTempFileName();
@@ -469,10 +492,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishSpaceSeparatedWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -491,11 +516,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishSpaceSeparatedWithNamesManyColumns() {
       string tempFileName = Path.GetTempFileName();
@@ -511,11 +537,12 @@
         Assert.AreEqual(3, parser.Rows);
         Assert.AreEqual(4507, parser.Columns);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseSpaceSeparatedWithoutCommas() {
       string tempFileName = Path.GetTempFileName();
@@ -533,10 +560,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseSpaceSeparatedWithoutCommasWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -555,6 +584,5 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
+      } finally {
         File.Delete(tempFileName);
       }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.LinearAssignment-3.3/LinearAssignmentProblemSolverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.LinearAssignment-3.3/LinearAssignmentProblemSolverTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.LinearAssignment-3.3/LinearAssignmentProblemSolverTest.cs	(revision 9782)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.LinearAssignment.Tests_33 {
+namespace HeuristicLab.Problems.LinearAssignment.Tests {
   /// <summary>
   ///This is a test class for LinearAssignmentProblemSolverTest and is intended
@@ -31,21 +31,10 @@
   [TestClass()]
   public class LinearAssignmentProblemSolverTest {
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get { return testContextInstance; }
-      set { testContextInstance = value; }
-    }
-
-
     /// <summary>
     ///A test for Solve
     ///</summary>
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void SolveTest() {
       double[,] costs = new double[,] {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPLIBInstancesTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPLIBInstancesTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPLIBInstancesTest.cs	(revision 9782)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.QuadraticAssignment.Tests_33 {
+namespace HeuristicLab.Problems.QuadraticAssignment.Tests {
   [TestClass]
   public class QAPLIBInstancesTest {
@@ -189,4 +189,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "long")]
     public void TestQAPLIBInstances() {
       var provider = new QAPLIBInstanceProvider();
@@ -208,4 +210,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "long")]
     public void TestQAPLIBSolutions() {
       var provider = new QAPLIBInstanceProvider();
@@ -226,4 +230,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void TestQAPLIBLowerBounds() {
       var provider = new QAPLIBInstanceProvider();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPMoveEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPMoveEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPMoveEvaluatorTest.cs	(revision 9782)
@@ -27,6 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.QuadraticAssignment.Tests_33 {
-
+namespace HeuristicLab.Problems.QuadraticAssignment.Tests {
   /// <summary>
   ///This is a test class for the QAP move evaluators
@@ -86,4 +85,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void Swap2MoveEvaluatorFastEvaluationTest() {
 
@@ -126,4 +127,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void Swap2MoveEvaluatorTest() {
       for (int i = 0; i < 500; i++) {
@@ -157,4 +160,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void InversionMoveEvaluatorTest() {
       for (int i = 0; i < 500; i++) {
@@ -189,4 +194,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void TranslocationMoveEvaluatorTest() {
       for (int i = 0; i < 500; i++) {
@@ -227,4 +234,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void ScrambleMoveEvaluatorTest() {
       for (int i = 0; i < 500; i++) {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for AckleyEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class AckleyEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void AckleyEvaluateFunctionTest() {
       AckleyEvaluator_Accessor target = new AckleyEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for BealeEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class BealeEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void BealeEvaluateFunctionTest() {
       BealeEvaluator_Accessor target = new BealeEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for BoothEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class BoothEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void BoothEvaluateFunctionTest() {
       BoothEvaluator_Accessor target = new BoothEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for GriewankEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class GriewankEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void GriewankEvaluateFunctionTest() {
       GriewankEvaluator_Accessor target = new GriewankEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for LevyEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class LevyEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void LevyEvaluateFunctionTest() {
       LevyEvaluator_Accessor target = new LevyEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for MatyasEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class MatyasEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void MatyasEvaluateFunctionTest() {
       MatyasEvaluator_Accessor target = new MatyasEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for RastriginEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class RastriginEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void RastriginEvaluateFunctionTest() {
       RastriginEvaluator_Accessor target = new RastriginEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for RosenbrockEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class RosenbrockEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void RosenbrockEvaluateFunctionTest() {
       RosenbrockEvaluator_Accessor target = new RosenbrockEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for SphereEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class SphereEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void SphereEvaluateFunctionTest() {
       SphereEvaluator_Accessor target = new SphereEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for SumSquaresEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class SumSquaresEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void SumSquaresEvaluateFunctionTest() {
       SumSquaresEvaluator_Accessor target = new SumSquaresEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 9782)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TestFunctions.Tests {
-
-
   /// <summary>
   ///This is a test class for ZakharovEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class ZakharovEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
     [TestMethod]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void ZakharovEvaluateFunctionTest() {
       ZakharovEvaluator_Accessor target = new ZakharovEvaluator_Accessor();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TravelingSalesman-3.3/TSPMoveEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TravelingSalesman-3.3/TSPMoveEvaluatorTest.cs	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.TravelingSalesman-3.3/TSPMoveEvaluatorTest.cs	(revision 9782)
@@ -24,10 +24,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Problems.TravelingSalesman;
 using HeuristicLab.Random;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Problems.TravelingSalesman.Tests {
-
   /// <summary>
   ///This is a test class for TSP move evaluators
@@ -40,14 +38,4 @@
     private static Permutation tour;
     private static MersenneTwister random;
-
-    private TestContext testContextInstance;
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get { return testContextInstance; }
-      set { testContextInstance = value; }
-    }
 
     [ClassInitialize]
@@ -70,4 +58,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.TravelingSalesman")]
+    [TestProperty("Time", "short")]
     public void InversionMoveEvaluatorTest() {
       var evaluator = new TSPRoundedEuclideanPathEvaluator();
@@ -101,4 +91,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.TravelingSalesman")]
+    [TestProperty("Time", "short")]
     public void TranslocationMoveEvaluatorTest() {
       var evaluator = new TSPRoundedEuclideanPathEvaluator();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Tests.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 9781)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 9782)
@@ -393,5 +393,5 @@
     <Compile Include="HeuristicLab.Persistence-3.3\UseCases.cs" />
     <Compile Include="HeuristicLab.PluginInfraStructure-3.3\InstallationManagerTest.cs" />
-    <Compile Include="HeuristicLab.PluginInfraStructure-3.3\TypeDiscoveryTest.cs" />
+    <Compile Include="HeuristicLab.PluginInfraStructure-3.3\TypeExtensionsTest.cs" />
     <Compile Include="HeuristicLab.Problems.DataAnalysis-3.4\ThresholdCalculatorsTest.cs" />
     <Compile Include="HeuristicLab.Problems.DataAnalysis-3.4\OnlineCalculatorPerformanceTest.cs" />
